const Model = require('flitter-orm/src/model/Model')
const uuid = require('uuid/v4')

/*
 * DBEntry Model
 * -------------------------------------------------------------
 * Put some description here!
 */
class DBEntry extends Model {
    static get schema() {
        // Return a flitter-orm schema here.
        return {
            DatabaseId: String,
            RowData: Object,
            UUID: { type: String, default: () => uuid() },
        }
    }
    
    // Static and instance methods can go here
}

module.exports = exports = DBEntry
